PATCH /posts/{id}

Edit the text of an unpublished post (re-queues approval if previously approved)

PATCH
/posts/{id}

Authorization

BearerAuth
headerAuthorizationBearer <token>

API key sk_...

Path Parameters

id*string

Postgale post id

Request Body

application/json
  1. body
content*string

Response Body

{post}

application/json
  1. response
post?
Example Request
curl -X PATCH 'https://example.com/api/v1/posts/string' \  -H 'Content-Type: application/json' \  -d '{  "content": "string"}'
Example Response
{  "post": {    "id": "string",    "content": "string",    "status": "draft",    "scheduledFor": "2019-08-24T14:15:22Z",    "targets": [      {        "id": "string",        "accountId": "string",        "platform": "string",        "status": "pending",        "platformPostId": "string",        "url": "string",        "error": "string",        "attempts": 0,        "platformSpecificData": "string",        "publishedAt": "2019-08-24T14:15:22Z",        "extra": "string",        "metrics": "string",        "metricsAt": "2019-08-24T14:15:22Z"      }    ]  }}